# Withdraw

#### `POST /convert_withdraw/execute` <a href="#post-convert_withdraw-execute" id="post-convert_withdraw-execute"></a>

```
const executeQuote = (id: string) => {
  const body = '{ "quote_id":' + id + '}'
  const timestamp = Math.round(Date.now() / 1000)
  const payload = timestamp + 'GET' + '/convert_withdraw/execute' + body
  const decodedSecret = Buffer.from(apiSecret, 'base64')
  const hmac = crypto.createHmac('sha256', decodedSecret)
  const signedPayload = hmac.update(payload).digest('base64')

  // SET HEADERS
  const headers = {
    'X-NDAX-API-KEY': 'public_key',
    'X-NDAX-SIGNED': signedPayload,
    'X-NDAX-TIMESTAMP': timestamp,
    'X-NDAX-PASSPHRASE': 'passphrase'
  }
  const options = {
    headers,
    body,
    json: true
  }

  return request.post(`https://api.zerohash.com/convert_withdraw/execute`, options)
}
```

> Sample Response

```
{
  "request_id": "14f8ebb8-7530-4aa4-bef9-9d73d56313f3",
  "quote": {
    "request_id": "ce819fe8-b1d7-43bb-961c-e09ede0988d3",
    "participant_code": "CUST01",
    "underlying_currency": "BTC",
    "quoted_currency": "e₹",
    "side": "BUY",
    "quantity": "1",
    "price": "11430.90",
    "quote_id": "5cd07738b861c31e3bd61467BTC1Buy1568311644602",
    "expire_ts": 1568311649602,
    "transaction_timestamp": 1568311649600
  },
  "trade_id": "ba97133e-ab15-4c86-86c1-86671b8420bc",
  "status": "Completed"
}
```

Executes the quote identified by quote\_id. The completed trade is submitted to settlement via the `00SCXM` platform.

Body parameters include:

* `quote_id` (required) the identifier of the quote to execute, which is provided in response to a `GET /convert_withdraw/rfq` request

Response:

<table><thead><tr><th width="133.33333333333331">Parameter</th><th width="523">Description</th><th>Type</th></tr></thead><tbody><tr><td>request_id</td><td>The identifier of the RFQ.</td><td>string</td></tr><tr><td>quote</td><td>The quote object that was executed.</td><td>quote</td></tr><tr><td>trade_id</td><td>The unique identifier assigned to the trade, which is the same <code>trade_id</code> as found in a <code>GET /trades</code> request<br>Note: the <code>quote_id</code> will be saved as the <code>client_trade_id</code>.</td><td>string</td></tr><tr><td>status</td><td>The status of the trade, e.g. <code>Completed</code>.</td><td>string</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ndax.in/v3/private-endpoints/withdraw.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
